function H = jp_getHistogram(magnitudes, angles, numBins)
 
    % Z̃qXgO
    H = zeros(numBins, 1);
    
    % WAbin̑傫vZ. 180 degress = pi.
    binSize = pi / numBins; % binsize=180/9=20
 
    % qXgO̎Zos
    cellSize2 = 64;     %   cellSize^2(=8~8=64)
    d10  = pi/180*10;   %   binSize/2(=20/2=10)
    
    % ebins̒̃p^[
    d30  = d10  + binSize;
    d50  = d30  + binSize;
    d70  = d50  + binSize;
    d90  = d70  + binSize;
    d110 = d90  + binSize;
    d130 = d110 + binSize;
    d150 = d130 + binSize;
    d170 = d150 + binSize;
       
    for ii = 1 : cellSize2
        % SĂ̊̕pxpi𑫂ƂɂCȂ̊pxɂ
        if  angles(ii) < 0
            angles(ii) = angles(ii) + pi;
        end
        
        % z2bins̒̊Ԃɑ݂邩Ȃ
        % eX̌zEbinsɂǂ̂炢vĂ邩vZ
        % ȉCebinsp^[ɂĂ̏dݕt[̏

        if      angles(ii) >= 0    && angles(ii) < d10
                rightPortion = (angles(ii) + d10 )/binSize * magnitudes(ii);
                leftPortion  = magnitudes(ii) - rightPortion;
                H(9) = H(9) + leftPortion ;
                H(1) = H(1) + rightPortion;
        elseif  angles(ii) >= d10  && angles(ii) < d30
                rightPortion = (angles(ii) - d10 )/binSize * magnitudes(ii);
                leftPortion  = magnitudes(ii) - rightPortion;
                H(1) = H(1) + leftPortion ;
                H(2) = H(2) + rightPortion;
        elseif  angles(ii) >= d30  && angles(ii) < d50
                rightPortion = (angles(ii) - d30 )/binSize * magnitudes(ii);
                leftPortion  = magnitudes(ii) - rightPortion;
                H(2) = H(2) + leftPortion ;
                H(3) = H(3) + rightPortion;
        elseif  angles(ii) >= d50  && angles(ii) < d70
                rightPortion = (angles(ii) - d50 )/binSize * magnitudes(ii);
                leftPortion  = magnitudes(ii) - rightPortion;
                H(3) = H(3) + leftPortion ;
                H(4) = H(4) + rightPortion;
        elseif  angles(ii) >= d70  && angles(ii) < d90
                rightPortion = (angles(ii) - d70 )/binSize * magnitudes(ii);
                leftPortion  = magnitudes(ii) - rightPortion;
                H(4) = H(4) + leftPortion ;
                H(5) = H(5) + rightPortion;
        elseif  angles(ii) >= d90  && angles(ii) < d110
                rightPortion = (angles(ii) - d90 )/binSize * magnitudes(ii);
                leftPortion  = magnitudes(ii) - rightPortion;
                H(5) = H(5) + leftPortion ;
                H(6) = H(6) + rightPortion;
        elseif  angles(ii) >= d110 && angles(ii) < d130
                rightPortion = (angles(ii) - d110)/binSize * magnitudes(ii);
                leftPortion  = magnitudes(ii) - rightPortion;
                H(6) = H(6) + leftPortion ;
                H(7) = H(7) + rightPortion;
        elseif  angles(ii) >= d130 && angles(ii) < d150
                rightPortion = (angles(ii) - d130)/binSize * magnitudes(ii);
                leftPortion  = magnitudes(ii) - rightPortion;
                H(7) = H(7) + leftPortion ;
                H(8) = H(8) + rightPortion;
        elseif  angles(ii) >= d150 && angles(ii) < d170
                rightPortion = (angles(ii) - d150)/binSize * magnitudes(ii);
                leftPortion  = magnitudes(ii) - rightPortion;
                H(8) = H(8) + leftPortion ;
                H(9) = H(9) + rightPortion;
        else
                rightPortion = (angles(ii) - d170)/binSize * magnitudes(ii);
                leftPortion  = magnitudes(ii) - rightPortion;
                H(9) = H(9) + leftPortion ;
                H(1) = H(1) + rightPortion;
        end
    end
 end
